/* global variables for xmana program */

/* defines */
#define VERSION "3.2"
#define LMAR 50                      /* left margin for y-axis          */
#define TICWIDTH 5                   /* width of the tics of the y-axis */
#define PRINTCMD "lpr "              /* command used for printing       */
#define PRINTDAT "/tmp/xmana.print"  /* temporary file for printing     */

/* includes */
#include "vregist.h"

/* Structure for menu system */
typedef struct {
  Widget f_menu;
  Widget n_data;
  Widget l_data;
  Widget s_data;
  Widget p_data;
  Widget quit;
} f_menu;

typedef struct {
  Widget e_menu;
  Widget mean;
  Widget area;
  Widget min;
  Widget max;
  Widget dif;
  Widget deltax;
  Widget copy;
  Widget del;
  Widget reduce;
} e_menu;

typedef struct {
  Widget c_menu;
  Widget hr1;
  Widget hr2;
  Widget filter;
  Widget interpol;
  Widget movavg;
  Widget seqavg;
  Widget rectify;
  Widget invert;
  Widget differentiate;
  Widget linear;
  Widget twochtrans;
  Widget fft;
  Widget baro;
  Widget artifact;
} c_menu;

typedef struct {
  Widget v_menu;
  Widget redraw;
  Widget zoom;
  Widget total;
  Widget hide;
  Widget all;
  Widget comments;
} v_menu;

typedef struct {
  f_menu file;
  e_menu edit;
  c_menu calc;
  v_menu view;
} main_menu;

/* Structure for Baroreflex according to Bertinieri */
typedef struct {
  short bp_ch; // bp-channel;
  short ch;    // channel for y-axis (associated channel);
  float thre;  // threshold for BP-amplitude detection;
  float reg;   // minimal regression coefficient for the 3 data points;
} baro_struct;

typedef struct {
  Widget l;
  Widget a;
  Widget button_fb;
  Widget button_ff;
  Widget button_b;
  Widget button_f;
  Widget button_setmark;
  Widget button_clearmark;
  Widget button_in;
  Widget button_out;
  Widget button_snip_sel;
  Widget button_zoommark;
  Widget button_total; 
  Widget rowcol_w;
} message_bar;

extern String       colors[];
extern message_bar  mess;
extern XtAppContext app;
extern Widget       drawing_a, toolb_w;
extern Widget       c_list_w;
extern main_menu    mymenu;
extern VREGIST      r;
